RDCode: RDKit::TDTMolSupplier Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# RDKit::TDTMolSupplier Class Reference

lazy file parser for TDT files More...

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::TDTMolSupplier:

List of all members.

## Public Member Functions
| TDTMolSupplier (const std::string &fileName, const std::string &nameRecord="", int confId2D=-1, int confId3D=0, bool sanitize=true)
| TDTMolSupplier ()
| ~TDTMolSupplier ()
void | setData (const std::string &text, const std::string &nameRecord="", int confId2D=-1, int confId3D=0, bool sanitize=true)
void | init ()
void | reset ()
ROMol * | next ()
bool | atEnd ()
void | moveTo (unsigned int idx)
ROMol * | operator[] (unsigned int idx)
std::string | getItemText (unsigned int idx)
| returns the text block for a particular item
unsigned int | length ()

## Detailed Description

lazy file parser for TDT files

Definition at line 217 of file MolSupplier.h.

## Constructor & Destructor Documentation

RDKit::TDTMolSupplier::TDTMolSupplier | ( | const std::string & | fileName,
|  | const std::string & | nameRecord = `""`,
|  | int | confId2D = `-1`,
|  | int | confId3D = `0`,
|  | bool | sanitize = `true` |
| ) |  |  | `[explicit]`

Parameters:

  | fileName | - the name of the TDT file
  | nameRecord | - property name for the molecule name. If empty (the default), the name defaults to be empty
  | confId2D | - if >=0 and 2D coordinates are provided, the 2D structure (depiction) in the input will be read into the corresponding conformer id.
  | confId3D | - if >=0 and 3D coordinates are provided, the 3D structure (depiction) in the input will be read into the corresponding conformer id.
  | sanitize | - if true sanitize the molecule before returning it

RDKit::TDTMolSupplier::TDTMolSupplier | ( |  | ) |

RDKit::TDTMolSupplier::~TDTMolSupplier | ( |  | ) |

## Member Function Documentation

void RDKit::TDTMolSupplier::setData | ( | const std::string & | text,
|  | const std::string & | nameRecord = `""`,
|  | int | confId2D = `-1`,
|  | int | confId3D = `0`,
|  | bool | sanitize = `true` |
| ) |  |  |

void RDKit::TDTMolSupplier::init | ( |  | ) | `[virtual]`

Implements RDKit::MolSupplier.

void RDKit::TDTMolSupplier::reset | ( |  | ) | `[virtual]`

Implements RDKit::MolSupplier.

ROMol* RDKit::TDTMolSupplier::next | ( |  | ) | `[virtual]`

Implements RDKit::MolSupplier.

bool RDKit::TDTMolSupplier::atEnd | ( |  | ) | `[virtual]`

Implements RDKit::MolSupplier.

void RDKit::TDTMolSupplier::moveTo | ( | unsigned int | idx | ) |

ROMol* RDKit::TDTMolSupplier::operator[] | ( | unsigned int | idx | ) |

std::string RDKit::TDTMolSupplier::getItemText | ( | unsigned int | idx | ) |

returns the text block for a particular item

Parameters:

  | idx | - which item to return

unsigned int RDKit::TDTMolSupplier::length | ( |  | ) |

The documentation for this class was generated from the following file:

- MolSupplier.h